0

While trying to install Forever using this command:

sudo npm -g install forever

I'm getting this error:

npm WARN engine hawk@0.10.2: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.24","npm":"1.3.21"})

npm WARN engine sntp@0.1.4: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.24","npm":"1.3.21"})
npm WARN engine hoek@0.7.6: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.24","npm":"1.3.21"})
npm WARN engine boom@0.3.8: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.24","npm":"1.3.21"})
npm WARN engine cryptiles@0.1.3: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.24","npm":"1.3.21"})
npm http 304 https://registry.npmjs.org/delayed-stream/0.0.5
/home/ali/Express/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /usr/bin/forever -> /home/ali/Express/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /usr/lib/node_modules/forever/bin/forever
/home/ali/Express/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /usr/bin/foreverd -> /home/ali/Express/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /usr/lib/node_modules/forever/bin/foreverd
forever@0.10.11 /home/ali/Express/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /home/ali/Mobile/Titanium_Studio/[sudo] password for ali: /usr/lib/node_modules/forever
├── watch@0.8.0
├── colors@0.6.2
├── pkginfo@0.3.0
├── timespan@2.3.0
├── nssocket@0.5.1 (eventemitter2@0.4.13, lazy@1.0.11)
├── optimist@0.6.0 (wordwrap@0.0.2, minimist@0.0.5)
├── nconf@0.6.9 (ini@1.1.0, async@0.2.9)
├── utile@0.2.1 (deep-equal@0.1.2, rimraf@2.2.6, ncp@0.4.2, mkdirp@0.3.5, i@0.3.2, async@0.2.9)
├── forever-monitor@1.2.3 (watch@0.5.1, utile@0.1.7, minimatch@0.2.14, ps-tree@0.0.3, broadway@0.2.9)
├── cliff@0.1.8 (eyes@0.1.8, winston@0.6.2)
├── flatiron@0.3.11 (director@1.1.10, broadway@0.2.9, prompt@0.2.11)
└── winston@0.7.2 (cycle@1.0.3, stack-trace@0.0.7, eyes@0.1.8, async@0.2.9, request@2.16.6)

And Ubuntu generating recursive sudo directories with permission denied although I'm using sudo to run my command.

0

I don't see any errors? Where are they? There are warnings telling you about some modules expecting another node version then you have installed.

Or am i missing something?

Look here...

npm WARN engine cryptiles@0.1.3: wanted: {"node":"0.8.x"} (current: {"node":"v0.10.24","npm":"1.3.21"})

Please try the follwing

sudo -i
aptitude update && aptitude -y upgrade
aptitude install nodejs
aptitude install npm
aptitude install nodejs-legacy
npm install -g forever

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.